org.apache.xalan.templates

## Class WhiteSpaceInfo

- java.lang.Object
- - org.apache.xml.utils.UnImplNode
  - - org.apache.xalan.templates.ElemTemplateElement
    - - org.apache.xalan.templates.ElemTemplate
      - - org.apache.xalan.templates.WhiteSpaceInfo

- All Implemented Interfaces:
    java.io.Serializable, SourceLocator, XSLTVisitable, PrefixResolver, ExpressionNode, WhitespaceStrippingElementMatcher, Document, Element, Node, NodeList
  Direct Known Subclasses:
    WhitespaceInfoPaths

      public class WhiteSpaceInfo
      extends ElemTemplate

  This is used as a special "fake" template that can be handled by the TemplateList to do pattern matching on nodes.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xalan.templates.ElemTemplate

      `m_frameSize`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WhiteSpaceInfo(Stylesheet thisSheet)` Constructor WhiteSpaceInfo
    `WhiteSpaceInfo(XPath matchPattern, boolean shouldStripSpace, Stylesheet thisSheet)` Constructor WhiteSpaceInfo

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getShouldStripSpace()` Return true if this element specifies that the node that matches the match pattern should be stripped, otherwise the space should be preserved.
    `void` | `recompose(StylesheetRoot root)` This function is called to recompose() all of the WhiteSpaceInfo elements.

    - ### Methods inherited from class org.apache.xalan.templates.ElemTemplate

      `compose, endCompose, execute, getMatch, getMode, getName, getNodeName, getPriority, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getXSLToken, setLocaterInfo, setMatch, setMode, setName, setPriority, setStylesheet`

    - ### Methods inherited from class org.apache.xalan.templates.ElemTemplateElement

      `appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

    - ### Methods inherited from class org.apache.xml.utils.UnImplNode

      `adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WhiteSpaceInfo

          public WhiteSpaceInfo(Stylesheet thisSheet)

      Constructor WhiteSpaceInfo
      Parameters:
        `thisSheet` - The current stylesheet

    - #### WhiteSpaceInfo

          public WhiteSpaceInfo(XPath matchPattern,
                        boolean shouldStripSpace,
                        Stylesheet thisSheet)

      Constructor WhiteSpaceInfo
      Parameters:
        `matchPattern` - Match pattern
        `shouldStripSpace` - Flag indicating whether or not to strip whitespaces
        `thisSheet` - The current stylesheet

  - ### Method Detail

    - #### getShouldStripSpace

          public boolean getShouldStripSpace()

      Return true if this element specifies that the node that matches the match pattern should be stripped, otherwise the space should be preserved.
      Returns:
        value of m_shouldStripSpace flag

    - #### recompose

          public void recompose(StylesheetRoot root)

      This function is called to recompose() all of the WhiteSpaceInfo elements.
      Overrides:
        `recompose` in class `ElemTemplate`
      Parameters:
        `root` - The root stylesheet for this transformation.

Copyright © 2014 Apache XML Project. All Rights Reserved.